Subject: RE:Damaged or defective item: Request a replacement item(Order: 002-5948570-8149058) #Ref 2021041800090875
From: "[email-masked]" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 20 Apr 2021 10:37:16 -0700

Hello Paul,

Thank you for your email.  I am sorry to hear you are experiencing problems with your electric product. Please contact JLA Home at 1-866-456-8852, their hours are M-F 7am - 3:30pm (PST).

Please note that I have already started a claim case for you C21421241.  When you call in please provide the Customer Service Rep with your claim case number He /She will be able to assist you.

We will still need the following information below from you when you call  in.

Your Current Physical Mailing Address:

Current Phone number if different from what we show on file 603-929-1809

Controller Model No

DC number off the white sticker on back of controller

Stamped Date Code: (Located on the big white sewn on label)

Thank you,

Erlinda

Senior Customer Service Rep

Designer Living & Electric Product

E&E Co. Ltd. dba JLA Home

===============================================================================

You have received a message.Order ID:
002-5948570-8149058:# ASIN Product Name
2 B01J7MMAKO Beautyrest Cotton Blend Heated Mattress Pad White Twin XL Message: Hello. I purchased this heated mattress pad from you on 8/30/2016. Upon purchasing, it said it came with a 5 year manufacturer warranty. Well, just this last week, it stopped working. The controller turns on, but the pad does not get hot. I am hoping to exchange or replace this, since it still falls within that 5 year timeline. Thank you.

Was this email helpful?

No Response Needed

Report questionable activity

Copyright 2021
Amazon, Inc, or its affiliates. All rights reserved.
Amazon.com, 410 Terry Avenue North, Seattle, WA 98109-5210

For Your Information: To help protect the trust and safety of our marketplace, and to help arbitrate potential disputes, we retain all messages buyers and sellers send through Amazon.com for two years. This includes your response to the message above. Amazon.com uses filtering technology to protect buyers and sellers from possible fraud. Messages that fail this filtering will not be transmitted.

We want you to buy with confidence anytime you purchase products on Amazon.com. Learn more about Safe Online Shopping and our safe buying guarantee.

[commMgrTok:A02923611DS6SRT9L2SEB]